package com.gic.haoban.manage.service.service.contact;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.contact.ContactOrderDetailDTO;
import com.gic.haoban.manage.api.qdto.contact.ContactOrderSearchQDTO;
import com.gic.order.api.dto.resp.OrderInfoResp;

public interface ContactOrderService {


    /**
     * 保存建联转化订单
     *
     * @param orderInfoResp
     */
    boolean saveContactOrder(OrderInfoResp orderInfoResp);

    /**
     * 分页查询建联转化信息
     * @param enterpriseId
     * @param searchQDTO
     * @param pageInfo
     * @return
     */
    Page<ContactOrderDetailDTO> pageContactOrder(String enterpriseId, ContactOrderSearchQDTO searchQDTO, BasePageInfo pageInfo);

}
