package com.gic.haoban.manage.web.qo.potential;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class PotentialOverviewQO extends PotentialStatisticsBaseQO {

    private static final long serialVersionUID = -4105397589798480404L;

    /**
     * 数据类型
     * 1 周报; 2 月报
     * @see com.gic.haoban.manage.api.enums.content.MaterialReportType
     */
    private Integer reportType;

    /**
     * 周报/月报传业务周期
     */
    private String bizDate;

    /**
     * 1 门店维度 2 导购维度 3 总
     */
    private Integer potGroup;

}
