package com.gic.haoban.manage.web.vo.content.potential;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class InteractRecordExtendInfoVo implements Serializable {

    private static final long serialVersionUID = 1577766149535235456L;

    /**
     * 按组分享素材扩展商品信息
     */
    private List<List<ExtendGoodsInfo>> groupExtendGoodsInfos;

    /**
     * 按组分享失效商品数量
     */
    private Integer groupInvalidGoodsNum;

    @Data
    public static class ExtendGoodsInfo implements Serializable {

        /**
         * 商品id
         */
        private String goodsId;

        /**
         * 商品名称
         */
        private String goodsName;

        /**
         * 商品主图
         */
        private String goodsImageUrl;

        /**
         * 商品货号
         */
        private String goodsCode;

        /**
         * 商品规格 红色,S; 白色,S
         */
        private String goodsNorm;
        /**
         * 订单项数量
         */
        private Integer orderNum;

        /**
         * 商品单价
         */
        private BigDecimal salePrice;

    }

}
