package com.gic.haoban.manage.web.vo.potential;

import com.gic.haoban.manage.web.vo.StoreClerkIdVO;
import lombok.Data;

/**
 * Created by wangzubo on 2025/3/21.
 */
@Data
public class PotentialContactOverviewVO extends StoreClerkIdVO {

    /**
     * 潜力客户数
     */
    private Integer potCusNum;

    /**
     * 建联客户数
     */
    private Integer connPotCusNum;

    /**
     * 建联率
     */
    private Double potCusConnRate;

    /**
     * 转化客户数
     */
    private Integer convsPotCusNum;

    /**
     * 转化率
     */
    private Double connConvsRate;

    /**
     * 潜客转化金额
     */
    private Double connConvsAmt;

    /**
     * 当前未建联潜客数
     */
    private Integer noConnPotCusNum;

    /**
     * 潜力客户数上一周期环比
     */
    private Double potCusNumLast;

    /**
     * 建联客户数上一周期环比
     */
    private Double connPotCusNumLast;

    /**
     * 建联率上一周期环比
     */
    private Double potCusConnRateLast;

    /**
     * 转化客户数上一周期环比
     */
    private Integer convsPotCusNumLast;

    /**
     * 转化率上一周期环比
     */
    private Double connConvsRateLast;

    /**
     * 潜客转化金额上一周期环比
     */
    private Double connConvsAmtLast;

    /**
     * 建联率排名
     */
    private Integer potCusConnRateRank;

}
