package com.gic.haoban.manage.web.vo.potential;

import com.gic.haoban.manage.web.vo.StoreClerkIdVO;
import lombok.Data;

/**
 * Created by wangzubo on 2025/3/22.
 */
@Data
public class PotentialConvOverviewVO extends StoreClerkIdVO {

    /**
     * 商城转化金额
     */
    private Double onlineConnConvsAmt;

    /**
     * 商城转化客户数
     */
    private Integer onlineConnConvsMbrNum;

    /**
     * 线下转化金额
     */
    private Double offlineConnConvsAmt;

    /**
     * 线下转化客户数
     */
    private Integer offlineConnConvsMbrNum;

    /**
     * 商城转化金额上一周期环比
     */
    private Double onlineConnConvsAmtLast;

    /**
     * 商城转化客户数上一周期环比
     */
    private Double onlineConnConvsMbrNumLast;

    /**
     * 线下转化金额上一周期环比
     */
    private Double offlineConnConvsAmtLast;

    /**
     * 线下转化客户数上一周期环比 (必须)
     */
    private Integer offlineConnConvsMbrNumLast;

    /**
     * 商城转化金额排名 (必须)
     */
    private Integer onlineConnConvsAmtRank;

    /**
     * 线下转化金额排名 (必须)
     */
    private Integer offlineConnConvsAmtRank;

    /**
     * 潜客雷达商城转化客户数
     */
    private Integer potCusRdrOnlineConvsMbrNum;

    /**
     * 潜客雷达商城转化金额
     */
    private Double potCusRdrOnlineConvsAmt;

    /**
     * 潜客雷达线下转化客户数
     */
    private Integer potCusRdrOfflineConvsMbrNum;

    /**
     * 潜客雷达线下转化金额
     */
    private Double potCusRdrOfflineConvsAmt;


}
